Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 189047

Summary: LD_LIBRARY_PATH not setup
Product: Gentoo/Alt Reporter: Daniel LaMotte <lamotte85>
Component: Prefix SupportAssignee: Gentoo non-Linux Team <alt>
Status: VERIFIED LATER    
Severity: normal    
Priority: High    
Version: unspecified   
Hardware: x86   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---

Description Daniel LaMotte 2007-08-15 22:04:17 UTC
in the documentation for setting up the prefix, there probably should be some mention of setting up the LD_LIBRARY_PATH.  I was at code listing 1.14 of the macos guide and python blew up saying it couldnt find its libpython2.4.so.1.0 library.
Comment 1 Fabian Groffen gentoo-dev 2007-08-16 08:07:11 UTC
On what platform is this?  LD_LIBRARY_PATH is considered harmful, and hence should never be set.  Are you sure you set your LDFLAGS correctly?  It is more than vital to set them correctly.
Comment 2 Daniel LaMotte 2007-08-20 19:08:39 UTC
bash-3.1$ env
LDFLAGS=-L/home/jolexa/portage/linux-32/usr/lib -L/home/jolexa/portage/linux-32/lib
CPPFLAGS=-I/home/jolexa/portage/linux-32/usr/include
OLDPWD=/home/jolexa
PATH=/home/jolexa/portage/linux-32/usr/bin:/home/jolexa/portage/linux-32/bin:/home/jolexa/portage/linux-32/tmp/usr/bin:/home/jolexa/portage/linux-32/tmp/bin:/usr/bin:/usr/sbin:/bin:/sbin
CURR_OS_PATH=/home/jolexa/compile/linux/bin
EPREFIX=/home/jolexa/portage/linux-32
PWD=/home/jolexa/portage/linux-32
SHLVL=1
_=/home/jolexa/portage/linux-32/usr/bin/env

bash-3.1$ emerge --info
!!! Problem with sandbox binary. Disabling...
 
Portage 2.2.00.7595-prefix (default-prefix/linux/x86, gcc-3.4.3, unavailable, 2.6.9-11.ELsmp i686)
=================================================================
System uname: 2.6.9-11.ELsmp i686 Intel(R) Xeon(TM) CPU 2.40GHz
Unknown Host Operating System
Timestamp of tree: Unknown
dev-lang/python:     2.4.4-r04.2
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/libtool:   1.5.24
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/env.d /etc/gconf /etc/terminfo"
DISTDIR="/home/jolexa/portage/linux-32/usr/portage/distfiles"
EPREFIX="/home/jolexa/portage/linux-32"
FEATURES="collision-protect distlocks metadata-transfer sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LDFLAGS="-L/home/jolexa/portage/linux-32/usr/lib -L/home/jolexa/portage/linux-32/lib"
PKGDIR="/home/jolexa/portage/linux-32/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/home/jolexa/portage/linux-32/var/tmp"
PORTDIR="/home/jolexa/portage/linux-32/usr/portage"
SYNC="svn+http://overlays.gentoo.org/svn/proj/alt/trunk/prefix-overlay"
USE="cracklib iconv midi mudflap ncurses openmp prefix readline ssl x86 zlib" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU"
Unset:  CFLAGS, CTARGET, CXXFLAGS, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, MAKEOPTS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY

bash-3.1$ usr/bin/python2.4 -V        
usr/bin/python2.4: error while loading shared libraries: libpython2.4.so.1.0: cannot open shared object file: No such file or directory


In order for the merging to complete, LD_LIBRARY_PATH will need to be setup or maybe another solution?
Comment 3 Roy Marples (RETIRED) gentoo-dev 2007-08-20 19:16:20 UTC
We should have this fixed in python-2.5.1-r1 already - try that version.
Comment 4 Fabian Groffen gentoo-dev 2007-08-20 19:17:25 UTC
python, as usual, is completely broken building wise.  2.5.x last time I checked too.
Comment 5 Fabian Groffen gentoo-dev 2007-08-22 08:43:26 UTC
(In reply to comment #2)
> bash-3.1$ env
> LDFLAGS=-L/home/jolexa/portage/linux-32/usr/lib
> -L/home/jolexa/portage/linux-32/lib

Your LDFLAGS lack the -R flags that solve this issue.
Comment 6 Fabian Groffen gentoo-dev 2007-08-22 08:45:57 UTC
check code listing 1.4, it has both -L and -R for lib and usr/lib

Wait, that reminds me... we don't have a linux bootstrap guide!
Comment 7 Fabian Groffen gentoo-dev 2008-01-26 10:36:35 UTC
I consider this fixed unless I hear otherwise.